btplay(1)

NAME
btplay - Directly play video torrents using btfs.

SYNOPSIS
btplay [OPTIONS]... torrentlink

DESCRIPTION
btfs uses fuse (filesystem in user space) to expose a bittorrent source as a normal directory on your filesystem. btplay is a wrapper for btfs that mounts and plays the video directly without a user having to specify a mount point. You can pass either a .torrent link or a magnet link contained in single quotation marks.

OPTIONS
Usage: btplay [OPTIONS...] torrentlink BTFS Options -v, --version
    Show version information.
-h, --help
    Displays usage for the tool.
-b, --browse-only
    Download metadata only.
-k, --keep
    Keep files after unmount.
FUSE Options -d, -o debug
    Enable debug output (implies -f).
-f
    Foreground operation.
-s
    Disable multi-threaded operation.
-o allow_other
    Allow access to other users.
-o allow_root
    Allow access to root.
-o auto_unmount
    Auto unmount on process termination.
-o nonempty
    Allow mounts over non-empty file/dir.
-o default_permissions
    Enable permission checking by kernel.
-o fsname=NAME
    Set filesystem name.
-o suptype=NAME
    Set filesystem type.
-o large_read
    Issue large read requests.
-o max_read=N
    Set maximum size of read requests.
-o hard_remove
    Immediate removal (don't hide files).
-o use_ino
    Let filesystem set inode numbers.
-o readdir_ino
    Try to fill in d_ino in readdir.
-o direct_io
    Use direct I/O.
-o kernel_cache
    Cache files in kernel.
-o [no]auto_cache
    Enable caching based on modification times (off).
-o umask=M
    Set file permissions (octal).
-o uid=N
    Set file owner.
-o gid=N
    Set file group.
-o entry_timeout=T
    Cache timeout for names (1.0s).
-o negative_timeout=T
    Cache timeout for deleted names (0.0s).
-o attr_timeout=T
    Cache timeout for attributes (1.0s).
-o ac_attr_timeout=T
    Auto cache timeout for attributes (attr_timeout)
-o noforget
    Never forget cached inodes.
-o remember=T
    Remember cached inodes fot T seconds (0s).
-o nopath
    Don't supply path if not necessary.
-o intr
    Allow requests to be interrupted.
-o intr_signal=NUM
    Signal to send on interript (10).
-o modules=M1[:M2...]
    Names of modules to push onto filesystem stack.
Module Options [iconv] -o from_code=CHARSET
    Original encoding of file names (default: UTF-8).
-o to_code=CHARSET
    New encoding of the file names (default: UTF-8).
[subdir] -o subdir=DIR
    Prepend this directory to all paths (madatory).
-o [no]rellinks
    Transform absolute symlinks to relative.

REPORTING BUGS
Please file issues on the GitHub bug tracker: https://github.com/johang/btfs/issues

SEE ALSO
fuse(1), btfs(1)

AUTHORS
This manual page was written by Jonathan Carter <jonathan@ubuntu.com> btplay was written by Johan Gunnarsson <johan.gunnarsson@gmail.com>